kitten-@-run(1)

Name
kitten-@-run - Run a program on the computer in which kitty is running and get the output

Usage
kitten @ run CMD ...

Description
Run the specified program on the computer in which kitty is running. When STDIN is not a TTY it is forwarded to the program as its STDIN. STDOUT and STDERR from the the program are forwarded here. The exit status of this invocation will be the exit status of the executed program. If you wish to just run a program without waiting for a response, use @ launch --type=background instead.

Options

--env
    Environment variables to set in the child process. Can be specified multiple times to set different environment variables. Syntax: name=value. Using name= will set to empty string and just name will remove the environment variable.

--allow-remote-control
    The executed program will have privileges to run remote control commands in kitty.

--remote-control-password
    Restrict the actions remote control is allowed to take. This works like remote_control_password. You can specify a password and list of actions just as for remote_control_password. For example::
        --remote-control-password '"my passphrase" get-* set-colors' This password will be in effect for this window only. Note that any passwords you have defined for remote_control_password in kitty.conf are also in effect. You can override them by using the same password here. You can also disable all remote_control_password global passwords for this window, by using::
        --remote-control-password '!' This option only takes effect if --allow-remote-control is also specified. Can be specified multiple times to create multiple passwords. This option was added to kitty in version 0.26.0

--help, -h
    Show help for this command

Global options

--to
    An address for the kitty instance to control. Corresponds to the address given to the kitty instance via the --listen-on option or the listen_on setting in kitty.conf. If not specified, the environment variable KITTY_LISTEN_ON is checked. If that is also not found, messages are sent to the controlling terminal for this process, i.e. they will only work if this process is run within a kitty window.

--password
    A password to use when contacting kitty. This will cause kitty to ask the user for permission to perform the specified action, unless the password has been accepted before or is pre-configured in kitty.conf. To use a blank password specify --use-password as always.

--password-file [=rc-pass]
    A file from which to read the password. Trailing whitespace is ignored. Relative paths are resolved from the kitty configuration directory. Use - to read from STDIN. Used if no --password is supplied. Defaults to checking for the rc-pass file in the kitty configuration directory.

--password-env [=KITTY_RC_PASSWORD]
    The name of an environment variable to read the password from. Used if no --password-file is supplied. Defaults to checking the environment variable KITTY_RC_PASSWORD.

--use-password [=if-available]
    If no password is available, kitty will usually just send the remote control command without a password. This option can be used to force it to always or never use the supplied password. If set to always and no password is provided, the blank password is used. Choices: if-available, always, never